#ifndef __LISTE_CHAINEE_D_ENTIERS__
#define __LISTE_CHAINEE_D_ENTIERS__
#include <errno.h>

typedef struct LCDC_Noeud* LCDC_ListeChainee;
typedef struct LCDC_Noeud {
	char lElement;
	LCDC_ListeChainee listeSuivante;
}  LCDC_Noeud;

#define LCDC_ERREUR_MEMOIRE 1

LCDC_ListeChainee LCDC_listeChainee();
int LCDC_estVide(LCDC_ListeChainee);
void LCDC_ajouter(LCDC_ListeChainee*,char); /* errno=LCDC_ERREUR_MEMOIRE si pas assez de mémoire */
char LCDC_obtenirElement(LCDC_ListeChainee); /* assertion : liste non vide */
LCDC_ListeChainee LCDC_obtenirListeSuivante(LCDC_ListeChainee); /* assertion : liste non vide */
void LCDC_fixerListeSuivante(LCDC_ListeChainee*, LCDC_ListeChainee); /* assertion : liste non vide */
void LCDC_fixerElement(LCDC_ListeChainee*,char); /* assertion : liste non vide */
void LCDC_supprimerTete(LCDC_ListeChainee*); /* assertion : liste non vide */
void LCDC_supprimer(LCDC_ListeChainee*); 
LCDC_ListeChainee LCDC_copier(LCDC_ListeChainee);
int LCDC_egale(LCDC_ListeChainee,LCDC_ListeChainee);
#endif 
